<!--
'THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT 
'WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
'INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
'OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR 
'PURPOSE

'------------------------------------------------------------------------------
'
' NAME: Read.asp
'
' FILE DESCRIPTION: Redirects the browser to the webpage stored in the contact item
'
' Copyright (c) CdoLive 1999. All rights reserved.
'               Http://www.cdolive.com
'               Mailto:samples@cdolive.com
'
' Portions:
' Copyright (c) Microsoft Corporation 1993-1997. All rights reserved.
'
'------------------------------------------------------------------------------
-->

<!--#include file = "global.inc"-->
<!--#include file = "cdoprops.inc"-->
<!--#include file = "folder.inc"-->
<!--#include file = "logon.inc"-->

<%
	' Declare variables
	Dim objCDOAnonSession
	Dim objMessage
	Dim objRenderer
	Dim bstrObjID
	Dim strSubject
	Dim strWebPage

	' Initialize variables
	Set objCDOAnonSession = Nothing
	Set objMessage = Nothing
	Set objRenderer = Nothing
	bstrObjID = ""

	' Check if anonymous MAPI session exists
	If CheckCDOAnonSession Then

		' Get MAPI session object
		Set objCDOAnonSession = Application("CDOAnonSession")
	Else

		' MAPI session does not exist, display error message
		Response.Write("Read.asp: Cannot logon to System")

		' Exit application
		Response.End
	End If

	' Check message index
	CheckIndex

	' Get message ID
	bstrObjID = Request.QueryString("obj")

	' Get item
	Err.Clear
	On Error Resume Next
	Set objMessage = objCDOAnonSession.GetMessage(bstrObjID, NULL)

	' Check possible errors
	If Err.Number <> 0 Then

		' Display error message
		Response.Write("Read.asp: Cannot open message: " & Err.Number & " : " & Err.Description)

		' Exit application
		Response.End
	End If

	' Set object renderer
	On Error Resume Next
	Set objRenderer = GetMessageRenderer

	' Check if object renderer is not set
	If objRenderer Is Nothing Then

		' Display error message
		Response.Write("Read.asp: Cannot get message information: " & Err.Number & " : " & Err.Description)

		' Exit application
		Response.End
	End If

	' Set object renderer datasource
	objRenderer.DataSource = objMessage

	' Get message subject
	strSubject = objRenderer.RenderProperty(CdoPR_SUBJECT)

	' Get link
	strWebPage = objRenderer.RenderProperty(CdoPidTag_WebPage)

	' Check if link is found
	If Trim(strWebPage) = "" Then

		' Could not get link, display error message
		Response.Write("Read.asp: Cannot get webpage")

		' Exit application
		Response.End
	End If
%>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.2//EN"> 
<html>
<head>
<title><%= strSubject %></title>
<meta http-equiv="REFRESH" content="0; URL=<%= strWebPage %>">
</head>
</html>
